### Class

# Foundry GitReference

#### Description

    final class Foundry.GitReference : Foundry.VcsReference
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryVcsReference
- GObject

#### Instance methods

##### Methods inherited from FoundryVcsReference (5)

###### foundry_vcs_reference_dup_id

No description available.

###### foundry_vcs_reference_dup_title

No description available.

###### foundry_vcs_reference_is_symbolic

No description available.

###### foundry_vcs_reference_load_commit

No description available.

###### foundry_vcs_reference_resolve

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryVcsReference (3)

###### Foundry.VcsReference:id

No description available.

###### Foundry.VcsReference:is-symbolic

No description available.

###### Foundry.VcsReference:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitReferenceClass {
      FoundryVcsReferenceClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryVcsReferenceClass`

  No description available.